
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>远程连接及运行OpenGL/Cuda等GPU程序实例教程 / iVAN</title>

    <meta name="description" content="远程连接及运行OpenGL/Cuda等GPU程序实例教程 有时候往往需要通过远程桌面连接进行coding工作,像一般的比如web之类的可能不需要GPU等支持的coding工作直接用windows远程桌面连接编码然后debug即可,而一些需要依靠显卡支持的工作如渲染.cuda等GPU操作时,往往远程桌面连接debug会失败.因为当用远程桌面连接电脑B时,比如本来电脑B是具有牛X显卡,驱动啥之类都没有问题,但此时用另外一台电脑A远程连接过去,在B上跑需要GPU支持的程序,如需要用到 Opengl3.X的功能或者cuda,而此时B检测到是远程连接过来的,就不">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">远程连接及运行OpenGL/Cuda等GPU程序实例教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有时候往往需要通过远程桌面连接进行coding工作，像一般的比如web之类的可能不需要GPU等支持的coding工作直接用windows远程桌面连接编码然后debug即可，而一些需要依靠显卡支持的工作如渲染、cuda等GPU操作时，往往远程桌面连接debug会失败。因为当用远程桌面连接电脑B时，比如本来电脑B是具有牛X显卡，驱动啥之类都没有问题，但此时用另外一台电脑A远程连接过去，在B上跑需要GPU支持的程序，如需要用到 Opengl3.X的功能或者cuda，而此时B检测到是远程连接过来的，就不会给予相应的支持或者说没有相应的驱动能够使得远程连接过来的也能支持。啊。。晕了。意思就是说可能此时只能驱动OpenGL1.X,程序就会crash掉。下面用个实例来说吧。</p>
<p>比如我在电脑B上有一段代码时检测GPU 对CUDA的支持。</p>
<p>此时我直接通过电脑A通过windows自带的远程桌面连接工具练过去，运行。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDIwMzIyMzc1ODM0My5wbmc=.jpg"></p>
<p>得到这样的结果，就是没有cuda相应的支持，而实际上，我直接通过本地执行时能够正常运行的。现在的问题是采取怎样的方式能够正常跑电脑B上的程序，就像自己本人在电脑B所在地本地操控电脑B一样。</p>
<p>开始设想通过QQ的远程控制能否解决?因为感觉QQ远程控制貌似就是传输图片，然后将在电脑A对电脑B传输过来的图片做相应鼠标等操作映射到电脑B 上。于是有了如下的解决方案：电脑A、B各登陆1个QQ，QQ A 和QQ B,然后远程桌面连接过去，通过在电脑B上用B QQ申请 QQ A进行远程协助。然后断掉连接、QQ A上接受申请，然后就可以通过QQ的远程桌面控制电脑B了，然后再运行程序。结果……结果失败～ 意思就是这样还是解决不了问题。实验证明，不用远程连接，而直接让人在电脑B上操作，申请电脑A这边的远程协助，这样是可以的。但不能每次都得先让其他人在电脑B上帮忙申请下远程协助吧。</p>
<p>最后在@大鑫的帮助下得到解决。</p>
<p><strong>方法：</strong></p>
<p>1、电脑A用windows自带远程桌面连接到电脑B，在电脑B上登陆QQ B，电脑A这边已经登陆了QQ A。</p>
<p>2、在电脑B上通过QQ B申请远程协助QQ A。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDIwMzIyMzgxMTU2My5wbmc=.jpg"></p>
<p>3、电脑A上 QQ A接受邀请。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDIwMzIyMzgzNTQyOS5wbmc=.jpg"></p>
<p>此时已经建立好连接了。并也能通过QQ的远程协助控制电脑B了。</p>
<p>4、关键，在windows自带的远程桌面连接工具中通过在电脑B上运行如下脚本。没有的话，copy一个过去。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDIwMzIyMzkwODUwOC5wbmc=.jpg"></p>
<p>注意得以管理员身份运行。运行后，此时通过windows远程连接的会话会断开。现在只能通过QQ的远程协助操作电脑B了。</p>
<p>5、下面就是见证奇迹的时刻了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1MDIwMzIyMzkxNDM0MS5wbmc=.jpg"></p>
<p>现在能够检测到电脑B上的显卡对cuda 支持。</p>
<p>以上演示是得到了显卡对Cuda支持的驱动，相应的OpenGL也一样。其实现在操作就跟在本地实际操作电脑B一样了。</p>
<p><strong>原理：</strong></p>
<p>个人认为，以上关键步骤中的那个脚本(那个脚本是个循环试探，其实可以在电脑B上通过命令行query session得到在线的准确的会话，然后运行那个命令得到准确的session切换)中有个应用程序tscon,其相应的语法用法可以参考这里。其实QQ远程协助也是用到了windows底层的RDP协议。从电脑A通过远程桌面通过QQ B申请QQ A远程协助，此时被控电脑B有两个session，即一个QQ远程协助的另外一个windows远程桌面的。此时运行tscon是将session切换到 QQ桌面的那个session。而这个session就是被控那台电脑的。因此gpu opengl啥驱动之类的就以为是本地执行的。因此才得以成功。</p>
<p>其实这也是个人猜测而已啦，实际上什么原理也还不清楚呢。能解决这个问题就好。也希望懂的童鞋给予解释下。另外有同学指出一些团队协助类的软件也能支持，没试过不清楚。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 13:58:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>远程连接及运行OpenGL/Cuda等GPU程序实例教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLDP0z.html" rel="bookmark">远程连接阿里云SqlServer 2012 数据库服务器的图文教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言: 在使用 阿里云 上的一些产品时,遇到不少坑. 安装IIS 时,遇到因买的配置过低,虚拟内存不足,而导致 IIS 总是安装失败: 现在 在上面安装了个 Sql Sever 2012,远程老是 不能连接,百度找半天,终于能够连接上了. 实现步骤如下: 1. 找到 安全组配置,打开 安全组配置,点击配置规则,增加 地址段访问的 授权规则,Sql Server的默认端口时 1433 . 2. 服务器上 win + R  键入  compmgmt.msc ,打开 计算机管理,按照如图所示 设置.注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaN7Rz.html" rel="bookmark">《CUDA高性能并行计算》----第1章 起  步  1&period;1  运行CUDA样例程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本 节 书 摘 来 自 华 章 出 版 社 &lt;CUDA高性能并行计算&gt; 一 书 中 的 第1章,第1.1节, 作 者 CUDA for Engineers: An Introduction to High-Performance Parallel Computing[美] 杜安·斯托尔蒂(Duane Storti)梅特·尤尔托卢(Mete Yurtoglu) 著, 苏统华 项文成 李松泽 姚宇鹏 孙博文 译 , 更 多 章 节 内 容 可 以 访 问 云 栖 社 区 &quot;华 章 计 算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjOwZp.html" rel="bookmark">mssql2005 远程连接问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为 SQL 启用远程连接 1. 单击&quot;开始&quot;,依次指向&quot;程序&quot;.&quot;Microsoft SQL Server 2005&quot;和&quot;配置工具&quot;,然后单击&quot;SQL Server 外围应用配置器&quot;. 2. 在&quot;SQL Server 2005 外围应用配置器&quot;页上,单击&quot;服务和连接的外围应用配置器&quot;. 3. 在&quot;服务和连接的外围应用配置器&quot;页上,展开&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmvdLz.html" rel="bookmark">SQL Server 2005无法远程连接的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  有时候我们需要链接某一台服务器上的数据库,我们一下的操作都是在该台服务器上操作的:   一.为 SQL Server 2005 启用远程连接 1. 单击&quot;开始&quot;,依次选择&quot;程序&quot;.&quot;Microsoft SQL Server 2005&quot;.&quot;配置工具&quot;,然后单击&quot;SQL Server 外围应用配置器&quot;. 2. 在&quot;SQL Server 外围应用配置器&quot;页上,单击&quot;服务和连接的外			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkZ2DwM.html" rel="bookmark">sql2005 远程连接问题解决方法&lowbar;mssql2005</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为 SQL 启用远程连接 1. 单击&quot;开始&quot;,依次指向&quot;程序&quot;.&quot;Microsoft SQL Server 2005&quot;和&quot;配置工具&quot;,然后单击&quot;SQL Server 外围应用配置器&quot;. 2. 在&quot;SQL Server 2005 外围应用配置器&quot;页上,单击&quot;服务和连接的外围应用配置器&quot;. 3. 在&quot;服务和连接的外围应用配置器&quot;页上,展开&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RrPdp.html" rel="bookmark">Windows 7性能改进之Windows 7远程连接设置浅谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				日常生活中,电脑用多了难免会遇到一些棘手的问题需要寻求帮助,但往往能 帮你的朋友或电脑高手,总在网络的另一端.因此远程控制逐渐被广泛的应用, 通过远程桌面连接,可控制对方电脑或被他人控制.那么,什么是远程桌面连接 ?在Win7系统中,远程连接又是怎样? 远程桌面连接是一种远程操作电脑 的模式,它可以用于可视化访问远程计算机的桌面环境,用于管理员在客户机上 对远程计算机服务器进行管理等场合.&quot;远程桌面连接&quot;的前身应该是Telnet. Telnet是一种字符界面的登陆方式,微软将其扩展到图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1Gr7z.html" rel="bookmark">空白密码引发远程连接Windows Server 2008失败</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				故障现象 单位网络管理员将局域网中的一台文件服务器升级为了Windows Server 2008系统,并在该系统中安装了某个应用控制软件.局域网中的某位用户想借助远程桌面连接功能,来在普通客户端系统中对Windows Server 2008服务器系统中的目标控制软件进行数据备份操作:可是在尝试与目标服务器系统建立远程桌面连接时,该用户却傻眼了,无论怎么进行连接操作,系统总提示远程连接Windows Server 2008失败的故障提示,这该如何是好呢? 网络管理员接到故障&quot;求援&quot;电话后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6jKgz.html" rel="bookmark">MySQL的远程连接出现错误提示分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧问题 Mysql的远程连接出现&quot;Lost connection to MySQL server during query&quot; 安装完了RH 8.0用自带的mysql以后直接在本机上可以正常使用mysql登陆,用 mysql -u root -p 添加了一些用户,如* beginner pass 即beginner可以从任何地方通过密码可以访问这台Mysql服务器(假设我的mysql服务器为mysql.test.com)但当我运行 mysql -h mysql.test.com -u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKLdBM.html" rel="bookmark">Linux远程连接与常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要学linux ,一定得用命令界面的,怎么也得是shell语言,用就最难最原始的,用的人都是专家,历史最少也得30年,不管 有三七二十一上来就敲ls ,先看看当前目录都有什么.一口专业的linux范儿,倍儿有面子,现在的技术人员不是redhat就是 unbuntu ,你要用windosws 见面都不好意思给人打招呼.你说用linux的技术员月工资怎么着也得一千五吧.一千五那是技术总 监的,咱八百起.你别嫌少,这还是过金融危机的国外价. 娱乐一下,如果程序员版的&lt;大腕&gt;,上面是我仿写 的.下面进			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWWeeM.html" rel="bookmark" class="title">VS调用dll出现内存错误</a>
					<div>
						问题地址:http://q.cnblogs.com/q/34732/ 描述: 出现了内存错误,向dll里传递了一个vector,dll向vector放了一点数据,程序退出的时候有内存错误. 解答: v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeKWVM.html" rel="bookmark" class="title">JAVA规则&mdash;&mdash;中级篇</a>
					<div>
						本文介绍的JAVA规则的说明分为3个主要级别,中级是平时开发用的比较多的级别,在今后将陆续写出其他的规则.遵守了这些规则可以提高程序的效率.使代码又更好的可读性等.(1) 在finally方法里关掉i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxD2mM.html" rel="bookmark" class="title">PHOTOSHOP路径完全精通手册之三节点定义</a>
					<div>
						请在学习本文后关注PHOTOSHOP路径完全精通手册系列(一 二 三 四 五)的其他文章 PHOTOSHOP软件中提供了一组用于生成.编辑.设置&quot;路径&quot;的工具组,它们位于PHTOS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrj24M.html" rel="bookmark" class="title">ASP中巧用Response属性&lpar;转&rpar;</a>
					<div>
						response ASP中巧用Response属性 ---- 我在用ASP为某单位制作网页时遇到这样一个问题,单位以前的MIS系统中将 一些Word文件以字节流的形式保存在数据库中,现在用户要求我用A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxwoZb.html" rel="bookmark" class="title">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;29&rpar;：spinlock</a>
					<div>
						spinlock是用于线程间同步的自旋锁,由于我们希望使用BF561的两个核,因此它就显得极为重要. 1 定义 在内核中声明一个spinlock可以使用DEFINE_SPINLOCK这个宏定义,它的定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo698Bz.html" rel="bookmark" class="title">浅析Hibernate Struts分页</a>
					<div>
						Hibernate有很多值得学习的地方,这里我们主要介绍Hibernate Struts分页,包括介绍Hibernate查询等方面. 在进行web应用开发的时候经常要对Hibernate Struts ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9135gM.html" rel="bookmark" class="title">PS简单制作金色质感金属艺术字体特效教程</a>
					<div>
						教程为Photoshop 的基础实例,主要对图层中的图层样式进行详细讲解,在本教程中都将应用到图层样式的各种效果,可以让读者在学习和工作中上有所参照. 重点难点就在于如何应用Photoshop图层样式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn4Qlz.html" rel="bookmark" class="title">笔记本电脑怎么连接wifi无线网络</a>
					<div>
						  笔记本电脑怎么连接wifi无线网络 在电脑主界面的右下方,找到由五条竖线组成的WIFI图标. 左键点击打开后,即可出现周边的WIFI信号,点击需要连接的WIFI. 等待连接. 输入正确的WIFI密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnK3Kz.html" rel="bookmark" class="title">解决IE11浏览器网页不兼容的两个方法</a>
					<div>
						  一.关闭保护模式 1.打开IE11浏览器, 点击右上角的&quot;工具&quot;选项,再选择&quot;Internet选项&quot;; 2.点击界面的上方的&quot;安全&quot;选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Wm2b.html" rel="bookmark" class="title">怎么把Word的内容以图片格式插入到Excel2010中？</a>
					<div>
						  在Excel中插入图片,广大用户想必都会操作,那么把Word中的内容以图片的形式插入的Excel中是不是难住你了呢?在其实方法很简单的,小编相信你一学就会的. 操作步骤 1.首先启动一篇原始的Wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW90lp.html" rel="bookmark" class="title">java web-Intelij IDEA无法下载框架</a>
					<div>
						问题描述 Intelij IDEA无法下载框架 IDEA2016 创建项目的时候添加struts2和hibernate框架,需要下载相应库,但是搭了梯子也是下载失败,如何将所有的库都下载为离线使用?或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2eP7b.html" rel="bookmark" class="title">IP虚拟专网技术解说</a>
					<div>
						IP虚拟专网是一项非常复杂的技术,涉及方方面面,其中最为关键的当属隧道技术.简 单地说,虚拟专网实际上是将企业网的数据封装在隧道中进行传输.由于隧道协议相对 复杂,因此虚拟专网技术也就随之复杂.隧道协 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr4qOM.html" rel="bookmark" class="title">ZBLOG优化方法 供新人参考</a>
					<div>
						Z-Blog是一套基于ASP平台的开放.高效.健壮.实用.美观的Blog发布程序.拥有以下优秀特性:生成静态文件.完全符合网页标准.高度可制定化模板.展现逻辑与操作逻辑完全分离.WAP浏览/评论/发表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6B2xb.html" rel="bookmark" class="title">如何用ps给证件照美白？</a>
					<div>
						如何用ps给证件照美白?          第一种方法是蒙版美白法: 复制图片,新建一个填充色为白色的图层,并将其置于图片的下方,将图片层添加图层蒙版,显示全部.按住alt单击蒙版部分,按住ctrl+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRZQmb.html" rel="bookmark" class="title">初学者的忧伤-粘贴的空字符和正常输入的空格有何区别？</a>
					<div>
						问题描述 粘贴的空字符和正常输入的空格有何区别? 我需要校验文本框内容不能输入空格,用正则表达式/(^s+)|(s+$)/g;可以判断从键盘输入的内容,但是如果从外面粘贴进来的含有空字符的字符就不能校 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0ZVVM.html" rel="bookmark" class="title">常用的批处理实用技巧&lowbar;DOS&sol;BAT</a>
					<div>
						编写批处理代码一年多来,本人积累了一些实用的批处理代码编写技巧,现发出来大家一起分享.若能善用这些代码,将会大大简化各位的编码工作,并会一定程度上提升代码的执行效率.1.不显示代码执行期间的各种提示信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYaeGp.html" rel="bookmark" class="title">双系统 无线网-装了双系统的机子连不上无线网</a>
					<div>
						问题描述 装了双系统的机子连不上无线网 如题,我的电脑装了win8和Ubuntu双系统,但是出现了一个很神奇的现象,在Ubuntu系统下可以连接到无线网络,但是在Windows系统下却怎么也连不上无线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk8rlM.html" rel="bookmark" class="title">初创企业移动产品设计会遇到哪些问题？</a>
					<div>
						所有以消费者为最终目标的应用开发者都应该解决以下三个核心挑战: 与众不同的产品体验 形成用户基础,扩大用户数量 保持用户参与度 在移动领域,能覆盖到上述三点的策略和方法还寥寥无几.下面,我会将把这三点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ05ep.html" rel="bookmark" class="title">媒体化尝试是否是网上商城的另一个突破口</a>
					<div>
						近日,深圳一家名为秀车网的汽车用品商城宣布,从3月4日开始和中华网开展频道共建合作,该网站媒体负责人表示,这是秀车网在媒体化运作上的一个尝试,属国内独立电子商务商城中,首个进行此类尝试的网上商城,在电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnPaaM.html" rel="bookmark" class="title">苹果的远程通知需要收费吗？</a>
					<div>
						问题描述 苹果的远程通知需要收费吗? 苹果的远程通知需要另外单独收费吗?如果不收费,用户数据量大的话,有没有推送条数限制? 解决方案 看你用什么服务. 用户量大的话肯定要收费的.我现在用的免费服务叫Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKLQop.html" rel="bookmark" class="title">求大学英语四六级单词词库（JAVA）</a>
					<div>
						问题描述 各位IT大神,我们最近想做一款关于背单词的软件,可是不知道去哪里找四六级单词包,麻烦大神门有资源给小弟分享一下,找了很久了,是做安卓系统的记单词软件.拜谢!跪求! 解决方案 解决方案二:自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYYq8b.html" rel="bookmark" class="title">简单讲解phpmailer邮件发送例子&lpar;带源码下载地址&rpar;</a>
					<div>
						我顶PHPMailer ,就如它的名字一样,是一个使用 PHP 编写的邮件发送类,同时,PHPMailer 也是一个功能强大的类. 官方网站:http://phpmailer.codeworxtech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z6xZb.html" rel="bookmark" class="title">JavaScript排序算法动画演示效果的实现方法&lowbar;javascript技巧</a>
					<div>
						之前在知乎看到有人在问 自己写了一个冒泡排序算法如何用HTML,CSS,JavaScript展现出来排序过程.   感觉这个问题还挺有意思 .前些时间就来写了一个.这里记录一下实现过程. 基本的思想是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNexBp.html" rel="bookmark" class="title">盖茨下周访华 参加4月20日博鳌论坛</a>
					<div>
						微软公司董事长比尔·盖茨先生将于下周访华.此消息已得到微软方面的确认,该公司发言人表示,目前微软正在为比尔·盖茨的到来做着积极的准备,但目前他在中国的行程还没有最后确定,一些活动正在与各部门进行沟通, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmY7mb.html" rel="bookmark" class="title">《众妙之门&mdash;&mdash;JavaScript与jQuery技术精粹》&mdash;&mdash;1&period;8　特定于浏览器的代码就是浪费时间，试试库文件</a>
					<div>
						1.8 特定于浏览器的代码就是浪费时间,试试库文件 在我进行网络开发之初,利用document.all还是document.layers来访问文件还存在很大的争议.我当时选择了document.lay ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y0DYb.html" rel="bookmark" class="title">Gartner最新身份管理研究报告中甲骨文位居领导者象限</a>
					<div>
						北京,2013年1月25日--甲骨文公司日前在Gartner公司发布的最新身份管理研究报告中,再次位居领导者象限.这是甲骨文公司连续第五年进入&quot;身份与访问治理(Identity and Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdGdDM.html" rel="bookmark" class="title">麦库记事三周年庆典服务全面升级</a>
					<div>
						圣诞节当天,盛大旗下的麦库记事为3500万用户送上了一份特别的礼物.在礼包中,麦库团队宣布所有用户空间普调1GB,普通用户笔记副本数由2份上调至10份,伴随其他一系列针对新老用户的回馈活动,十余项服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAYZqp.html" rel="bookmark" class="title">根据用户消费，送相对应的积分的后台处理？</a>
					<div>
						问题描述 在做的一个项目中,碰到了一个根据用户消费,送相对应的积分,这个积分的判断在后台不知道该怎么做?具体的要求是:最小消费~最大消费------&gt;积分消费不允许交叉,还有修改积分应该怎么考虑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvg1xb.html" rel="bookmark" class="title">TD终端厂商面转机：中移动各省小规模采购</a>
					<div>
						7月16日消息,困扰TD终端厂商的销量问题可能近期将有所缓解,中移动一期和二期部分城市已陆续进行了小规模采购,对TD终端厂商来说是个安慰. 各城市采购TD终端数千部 &quot;今年以来中国移动没有进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvZrdb.html" rel="bookmark" class="title">分析师编制Facebook全球用户分布图</a>
					<div>
						全球各地区Facebook用户渗透情况分布图 北京时间7月24日上午消息,据国外媒体今日报道,数据虚拟化公司Tableau数据分析师罗斯·佩瑞兹(Ross Perez)根据Facebook在全球各地的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
